Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class ReceiverOptions

    java.lang.Object
      net.sf.saxon.event.ReceiverOptions

public class ReceiverOptions
extends java.lang.Object

ReceiverOptions defines a set of constants, which can be used in calls to methods on the Receiver interface. The values are bit-significant.

Field Summary
`static int` | `DEFAULTED_ATTRIBUTE` Flag indicating that an attribute value was added by the schema processor because a default value was specified
`static int` | `DISABLE_ESCAPING` Flag to disable output escaping
`static int` | `DISINHERIT_NAMESPACES` Flag passed on startElement indicating that the element does not inherit the namespaces of its ancestors.
`static int` | `DTD_ID_ATTRIBUTE` Flag indicating that an attribute is an ID attribute, described as such in a DTD
`static int` | `DTD_IDREFS_ATTRIBUTE` Flag indicating that an attribute is an IDREF or IDREFS attribute, described as such in a DTD
`static int` | `NAMESPACE_OK` Flag indicating that the namespace (of an element or attribute name) has already been declared; it does not need to be generated by the namespace fixup process.
`static int` | `NEEDS_PREFIX_CHECK` Flag indicating that an element or attribute annotated as an xs:QName or xs:NOTATION has been lexically checked but still requires a check that the prefix is in scope
`static int` | `NO_SPECIAL_CHARS` Flag indicating that the value contains no special characters that need to be escaped
`static int` | `REJECT_DUPLICATES` Flag indicating that duplicate values should be rejected
`static int` | `USE_NULL_MARKERS` Flag used when an attribute value or text node contains null characters before and after strings generated by character mapping; these strings are to be output without escaping

Constructor Summary
`ReceiverOptions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISABLE_ESCAPING

    public static final int DISABLE_ESCAPING

  Flag to disable output escaping

  See Also:
    Constant Field Values

### NO_SPECIAL_CHARS

    public static final int NO_SPECIAL_CHARS

  Flag indicating that the value contains no special characters that need to be escaped

  See Also:
    Constant Field Values

### DEFAULTED_ATTRIBUTE

    public static final int DEFAULTED_ATTRIBUTE

  Flag indicating that an attribute value was added by the schema processor because a default value was specified

  See Also:
    Constant Field Values

### REJECT_DUPLICATES

    public static final int REJECT_DUPLICATES

  Flag indicating that duplicate values should be rejected

  See Also:
    Constant Field Values

### NAMESPACE_OK

    public static final int NAMESPACE_OK

  Flag indicating that the namespace (of an element or attribute name) has already been declared; it does not need to be generated by the namespace fixup process.

  See Also:
    Constant Field Values

### DISINHERIT_NAMESPACES

    public static final int DISINHERIT_NAMESPACES

  Flag passed on startElement indicating that the element does not inherit the namespaces of its ancestors.

  See Also:
    Constant Field Values

### USE_NULL_MARKERS

    public static final int USE_NULL_MARKERS

  Flag used when an attribute value or text node contains null characters before and after strings generated by character mapping; these strings are to be output without escaping

  See Also:
    Constant Field Values

### NEEDS_PREFIX_CHECK

    public static final int NEEDS_PREFIX_CHECK

  Flag indicating that an element or attribute annotated as an xs:QName or xs:NOTATION has been lexically checked but still requires a check that the prefix is in scope

  See Also:
    Constant Field Values

### DTD_ID_ATTRIBUTE

    public static final int DTD_ID_ATTRIBUTE

  Flag indicating that an attribute is an ID attribute, described as such in a DTD

  See Also:
    Constant Field Values

### DTD_IDREFS_ATTRIBUTE

    public static final int DTD_IDREFS_ATTRIBUTE

  Flag indicating that an attribute is an IDREF or IDREFS attribute, described as such in a DTD

  See Also:
    Constant Field Values

Constructor Detail

### ReceiverOptions

    public ReceiverOptions()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD